pyPgSQL-2.5.1-3.1.PU_IAS.5.x86_64.rpm


Advertisement

Description

pyPgSQL - Python DB-API 2 compliant library for using PostgreSQL databases

Property Value
Distribution CentOS 5
Repository PUIAS Computational x86_64
Package name pyPgSQL
Package version 2.5.1
Package release 3.1.PU_IAS.5
Package architecture x86_64
Package type rpm
Installed size 577.52 KB
Download size 173.88 KB
Official Mirror springdale.math.ias.edu
pyPgSQL is a package of two modules that provide a Python DB-API 2.0 compliant
interface to PostgreSQL databases. The first module, libpq, exports the
PostgreSQL C API to Python. This module is written in C and can be compiled
into Python or can be dynamically loaded on demand. The second module, PgSQL,
provides the DB-API 2.0 compliant interface and support for various PostgreSQL
data types, such as INT8, NUMERIC, MONEY, BOOL, ARRAYS, etc. This module is
written in Python.
http://pypgsql.sourceforge.net/
Authors:
--------
Billy G. Allie et al

Alternatives

Package Version Architecture Repository
pyPgSQL-2.5.1-3.1.PU_IAS.5.i386.rpm 2.5.1 i386 PUIAS Computational
pyPgSQL - - -

Requires

Name Value
/usr/bin/python -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libpq.so.4()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
python >= %py_ver
python(abi) = 2.4
rtld(GNU_HASH) -

Provides

Name Value
libpqmodule.so()(64bit) -
pyPgSQL = 2.5.1-3.1.PU_IAS.5
python-pgsql -

Download

Type URL
Binary Package pyPgSQL-2.5.1-3.1.PU_IAS.5.x86_64.rpm
Source Package pyPgSQL-2.5.1-3.1.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-computational.repo:
    [puias-computational]
    name=PUIAS Computational
    baseurl=http://springdale.math.ias.edu/data/puias/computational/5/x86_64/
    enabled=1
    gpgcheck=0
    
  2. Install pyPgSQL rpm package:
    # yum install pyPgSQL

Files

Path
/usr/lib64/python2.4/site-packages/pyPgSQL/PgSQL.py
/usr/lib64/python2.4/site-packages/pyPgSQL/PgSQL.pyc
/usr/lib64/python2.4/site-packages/pyPgSQL/PgSQL.pyo
/usr/lib64/python2.4/site-packages/pyPgSQL/__init__.py
/usr/lib64/python2.4/site-packages/pyPgSQL/__init__.pyc
/usr/lib64/python2.4/site-packages/pyPgSQL/__init__.pyo
/usr/lib64/python2.4/site-packages/pyPgSQL/libpq/__init__.py
/usr/lib64/python2.4/site-packages/pyPgSQL/libpq/__init__.pyc
/usr/lib64/python2.4/site-packages/pyPgSQL/libpq/__init__.pyo
/usr/lib64/python2.4/site-packages/pyPgSQL/libpq/libpqmodule.so
/usr/share/doc/pyPgSQL-2.5.1/Announce
/usr/share/doc/pyPgSQL-2.5.1/ChangeLog
/usr/share/doc/pyPgSQL-2.5.1/PKG-INFO
/usr/share/doc/pyPgSQL-2.5.1/README
/usr/share/doc/pyPgSQL-2.5.1/README.html
/usr/share/doc/pyPgSQL-2.5.1/README.win32
/usr/share/doc/pyPgSQL-2.5.1/examples/basic.py
/usr/share/doc/pyPgSQL-2.5.1/examples/demo1a.py
/usr/share/doc/pyPgSQL-2.5.1/examples/demo1b.py
/usr/share/doc/pyPgSQL-2.5.1/examples/demo2a.py
/usr/share/doc/pyPgSQL-2.5.1/examples/demo2b.py

Changelog

2009-06-02 - - knight@princeton.edu
- Changes to allow compilation on PU_IAS systems (only)
2008-10-31 - - linux@weberhofer.at
- Changes to allow compilation on RH systems
2008-10-27 - - linux@weberhofer.at
- Initial version: 2.5.1

See Also

Package Description
pycairo26-1.2.0-1.2.sdl5.x86_64.rpm Python bindings for the cairo library
pycairo26-devel-1.2.0-1.2.sdl5.x86_64.rpm Libraries and headers for pycairo
pyfits-1.3-4.PU_IAS.5.noarch.rpm Python interface to FITS
pyfits26-2.3.1-2.sdl5.x86_64.rpm Python interface to FITS
pygobject26-2.12.1-6.sdl5.x86_64.rpm Python bindings for GObject
pygobject26-devel-2.12.1-6.sdl5.x86_64.rpm Development files for building add-on libraries
pygobject26-doc-2.12.1-6.sdl5.x86_64.rpm Documentation files for pygobject2
pygtk26-2.10.1-12.2.sdl5.x86_64.rpm Python bindings for the GTK+ widget set
pygtk26-codegen-2.10.1-12.2.sdl5.x86_64.rpm The code generation program for PyGTK
pygtk26-devel-2.10.1-12.2.sdl5.x86_64.rpm files needed to build wrappers for GTK+ addon libraries
pygtk26-libglade-2.10.1-12.2.sdl5.x86_64.rpm A wrapper for the libglade library for use with PyGTK
pysam26-0.1.2-2.sdl5.x86_64.rpm Python interface for the SAM/BAM sequence alignment and mapping format
pytest26-2.3.4-1.el5.noarch.rpm Simple powerful testing with Python
python-babel-0.9.5-2.el5.noarch.rpm Library for internationalizing Python applications
python-docutils-0.5-3.el5.noarch.rpm A system for processing plaintext documentation
Advertisement
Advertisement